#!/bin/sh
#
# subversion

. /etc/service.subr

prog_dir=`dirname \`realpath $0\``

name="subversion"
version="1.6.12_1"

if [ -e ./.service.conf ]; then
  . ./.service.conf
fi

##
## If you get "error while loading shared libraries: ..." during startup,
## try to uncomment the following lines to set the library path
##
#libdir=${prog_dir}/lib
#if [ -n ${libdir} ]; then
#	export LD_LIBRARY_PATH=${libdir}
#fi

binfile=svnserve
pidfile=${prog_dir}/${binfile}.pid
logfile=${prog_dir}/${binfile}.log

if [ -z "${repos_root}" ]; then
  # if no repo root was set, use default ./repos folder
  repos_root="${prog_dir}/repos"
fi

start()
{
	rm -f ${logfile}.last >> /dev/null 2>&1
	mv ${logfile} ${logfile}.last >> /dev/null 2>&1
	
	echo "${name} ${version}: starting svnserve at `date`..." >> ${logfile} 
	${prog_dir}/bin/${binfile} -d --root "${repos_root}" --pid-file "${pidfile}" \
		--log-file "${logfile}" >> ${logfile} 2>&1
}


case "$1" in
start)
	start_service
	;;
stop)
	stop_service
	echo "${name} ${version}: stopped svnserve at `date`" >> ${logfile}
	;;
restart)
	stop_service
	echo "${name} ${version}: stopped svnserve at `date`" >> ${logfile}
	sleep 3
	start_service
	;;
status)
	status
	;;
*)
	echo "Usage: $0 [start|stop|restart|status]"
	exit 1
	;;
esac
